/*
 * ints.c
 * interrupt control logic
 */

unsigned short cur_scanline;

//interrupt fires at end of screen data transmission
//(beginning of vertical blanking)
interrupt [EXT_INT1] void vblank_int(void)
{
  cur_scanline = 0;
}
 
//interrupt fires at the end of line data transmission
//(beginning of horizontal blanking)
//This begins a 106 cycle process.
interrupt [EXT_INT0] void hblank_int(void)
{
  cur_scanline++;
}

